mbedtls_md4_context Struct Reference

MD4 context structure. More...

`#include <md4.h>`

## Data Fields

uint32_t | total [2]
uint32_t | state [4]
unsigned char | buffer [64]

## Detailed Description

MD4 context structure.

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition at line 60 of file md4.h.

## Field Documentation

## buffer

unsigned char mbedtls_md4_context::buffer[64]

data block being processed

Definition at line 64 of file md4.h.

## state

uint32_t mbedtls_md4_context::state[4]

intermediate digest state

Definition at line 63 of file md4.h.

## total

uint32_t mbedtls_md4_context::total[2]

number of bytes processed

Definition at line 62 of file md4.h.

The documentation for this struct was generated from the following file:

- md4.h